Subject: bug#37203: 26.2; error on load with .emacs.d symlink on windows

From: Chris BSomething <[email-masked]>
Date: Wed, 28 Aug 2019 16:27:27 +1000

Ahh, ok thanks. Although the link did seem to work for m-x load-file

In any case, i found that mklink /j also seems to work. Some different kind
of link i dont fully understand.

On Wed, 28 Aug. 2019, 4:23 pm Eli Zaretskii, <[email-masked]> wrote:

> > From: Chris BSomething <[email-masked]>
> > Date: Wed, 28 Aug 2019 12:21:50 +1000
> >
> > I want  to store my init.el on Google drive so it shares between
> computers.
> > So I created a windows symlink:
> > mklink .emacs.d Google\emacs
>
> This doesn't create a directory symlink, it creates a symlink to a
> (non-existent) file.  To make a directory symlink, you need to do this
> instead:
>
>   mklink /d .emacs.d Google\emacs
>
> If this doesn't work either, please tell more about what does "Google"
> above represent, as it doesn't seem to point to a drive, at least not
> syntactically.
>
> > It is mistakenly thinking that the directory isn't writable probably
> because it is a <SYMLINK> rather than a
> > <DIR>, or alternatively because the symlink is owned by Administrators.
>
> If ownership winds up to be the problem (I don't think so), it can be
> changed from the Windows Explorer or other similar tools.
>